summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Eric Hameleers <alien@slackware.com>2017-09-22 21:26:09 +0000
committer Eric Hameleers <alien@slackware.com>2017-09-22 21:26:09 +0000
commit3b1517ad6baf075f54366d6aefdfd90d6e9941df (patch)
tree7452fb5e821a9409bd43e8bf626c6bf30738c0db
parent4e1130165ebae47dc9e5e6e3eb8b6c2aadf23281 (diff)
downloadmultilib-3b1517ad6baf075f54366d6aefdfd90d6e9941df.tar.gz
multilib-3b1517ad6baf075f54366d6aefdfd90d6e9941df.tar.xz
Applied an upstream patch to fix location shared libraries
with some Steam games and possibly other programs.
-rwxr-xr-xsource/current/glibc/glibc-multilib.SlackBuild5
1 files changed, 4 insertions, 1 deletions
diff --git a/source/current/glibc/glibc-multilib.SlackBuild b/source/current/glibc/glibc-multilib.SlackBuild
index e9b8de4..e589299 100755
--- a/source/current/glibc/glibc-multilib.SlackBuild
+++ b/source/current/glibc/glibc-multilib.SlackBuild
@@ -30,7 +30,7 @@
VERSION=${VERSION:-2.26}
CHECKOUT=${CHECKOUT:-""}
-BUILD=${BUILD:-2alien}
+BUILD=${BUILD:-3alien}
# I was considering disabling NSCD, but MoZes talked me out of it. :)
#DISABLE_NSCD=" --disable-nscd "
@@ -169,6 +169,9 @@ apply_patches() {
zcat $CWD/glibc.IFUNC.x86_64.revert.diff.gz | patch -p1 --verbose || exit 1
# Fix a compiler error that occurs when using -O3:
zcat $CWD/glibc.malloc.array.bounds.diff.gz | patch -p1 --verbose || exit 1
+ # This patch adds "x86_64" to x86-64 dl_hwcap so that ld.so will always
+ # search the "x86_64" subdirectory when loading a shared library.
+ zcat $CWD/glibc.BZ22093.HWCAP.diff.gz | patch -p1 --verbose || exit 1
if [ $BOOTSTRP -eq 1 ] ; then
# Multilib - Disable check for forced unwind (Patch from eglibc) since we
# do not have a multilib glibc yet to link to;